# Race

Digitalocean commandline tools

## Installation

Add this line to your application's Gemfile:

    gem 'race'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install race

## Droplets
<pre>
  Droplet List
	$ race droplets

  Create New Droplet
	$ race droplets new [DROPLET_NAME] [SIZE_ID] [IMAGE_ID] [REGION_ID]

  Reboot Droplet
  $ race droplets reboot [DROPLET_ID]

  Droplet Power Cycle
	$ race droplets cycle [DROPLET_ID]

  Power Down Droplet
	$ race droplets down [DROPLET_ID]

  Power Off Droplet
	$ race droplets off [DROPLET_ID]

  Power On Droplet
	$ race droplets on [DROPLET_ID]

  Reset Droplet Password
	$ race droplets reset_password [DROPLET_ID]

  Resize Droplet
	$ race droplets resize [DROPLET_ID] [SIZE_ID]

  Create Snapshot
	$ race droplets create-snaphot [DROPLET_ID] [SNAPSHOT_NAME]

  Show droplet snapshots
  $ race droplets snapshots [DROPLET_ID]

  Restore Droplet
	$ race droplets restore [DROPLET_ID] [IMAGE_ID]

  Rebuild Droplet
	$ race droplets rebuild [DROPLET_ID] [IMAGE_ID]

  Rename Droplet
  $ race droplets rename [DROPLET_ID] [NEW_NAME]

  Enable IPv6 for a droplet
  $ race droplets enable-ipv6 [DROPLET_ID]

  Droplet Kernels
  $ race droplets kernels [DROPLET_ID]

  Change Kernels
  $ race droplets change-kernel [DROPLET_ID] [KERNEL_ID]

  Disable Droplet Backup
  $ race droplets disable-backup [DROPLET_ID]

  Enable Private Network
  $ race droplets enable-private-network [DROPLET_ID]

</pre>
## SSH
<pre>
  SSH Key List
  $ race ssh keys

  Add SSH Key
  $ race ssh add [KEY_NAME] [KEY_PUB]

  Show SSH Key
  $ race ssh show [KEY_ID]

  Edit SSH Key
  $ race ssh edit [KEY_ID] [KEY_NAME] [KEY_PUB]

  Destroy SSH Key
  $ race ssh destroy [KEY_ID]
</pre>
## Regions
<pre>
  Region List
  $ race regions
</pre>

## Domains
<pre>
  Show all domains
  $ race domain

  Show domain
  $ race domain show [DOMAIN_NAME]

  Destroy domain
  $ race domain destroy [DOMAIN_NAME]

  Create Domain
  $ race domain create [DOMAIN_NAME] [TYPE] [IP]
</pre>

## Sizes
<pre>
  Size List
  $ race sizes
</pre>
## Images
<pre>
  Show Images
  $ race images [true]

  Show Image
  $ race images show [IMAGE_ID]

  Destroy Image
  $ race images destroy [IMAGE_ID]

  Transfer Image
  $ race images transfer [IMAGE_ID] [REGION_ID]
</pre>


## Get Account Information
<pre>
  Show Account Information
  $ race account
</pre>

## Information
<pre>
  Show API Key and Client ID
  $ race info show

  Change Information
  $ race info change
</pre>

## Contributing

1. Fork it (http://github.com/0x73/race/fork)
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
